@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&display=swap');

:root {
    --color-beige: #F9EFDA;
    --color-green: #163A36;
    --color-purple: #902892;
    --color-dark-purple: #610f63;
    --color-black: #272626;
    --color-gray: #F4F5F7;
    --color-white: #FFFFFF;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Lato', sans-serif !important;
    color: var(--color-black) !important;
    font-size: 1.1rem;
    scroll-behavior: smooth;
}

input[type="radio"]:disabled + label {
    background-color: rgb(197, 197, 197);
    border: none !important;
}


body {
    background-color: var(--color-white);
    display: flex;
    flex-direction: column;
    align-items: center;
}

ul {
    list-style: none;
}

h1 {
    font-weight: 900;
}



strong {
    font-weight: 900;
    font-size: inherit;
}

a {
    text-decoration: none !important;
}

.hide {
    display: none !important;
}

.show {
    display: block !important;
}

.btn-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px 0;
    width: 100%;
}


.bg-purple {
    background-color: var(--color-purple);
}

.bg-gray {
    background-color: var(--color-gray);
}

.container {
    width: 80%;
    max-width: 1440px;
}

.full-width {
    width: 100%;
    display: flex;
    justify-content: center;
}

.default-button {
    border-radius: 0.3rem;
    text-align: center;
    padding: 10px 40px;
    border: 1px solid var(--color-purple);
    cursor: pointer;
    background-color: var(--color-purple);
    color: var(--color-white) !important;
    transition: 0.3s;
}

.default-button:hover {
    border: 1px solid var(--color-dark-purple);
    cursor: pointer;
    background-color: var(--color-dark-purple);
    color: var(--color-white) !important;
}

.inverted-button {
    border: 1px solid var(--color-purple);
    cursor: pointer;
    background-color: var(--color-purple);
    color: var(--color-white) !important;
    transition: 0.3s;
    text-align: center;
    padding: 10px 40px;
    width: 100%;
    border-radius: 0.3rem;
    padding: 4% 0;
}

.inverted-button:hover {
    background-color: rgb(150, 255, 150);
    border: 1px solid var(--color-black);
    color: var(--color-black) !important;
}

.default-link:hover {
    color: var(--color-purple) !important;
}

.text-white {
    color: var(--color-white) !important;
}

.text-purple {
    color: var(--color-purple) !important;
}

/* HEADER */

#navigation {
    border-bottom: 1px solid var(--color-purple);
}

#navigation .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#container-logo {
    width: 20%;
    height: 100px;
    display: flex;
    align-items: center;
}


#nav ul {
    display: flex;
    justify-content: end;
    align-items: center;
    margin: 0;
    padding: 0;
}

#nav ul li {
    margin-left: 20px;
}

/* /HEADER */

/* CTA */

#cta {
    min-height: 600px;
}

#cta .container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
    padding: 40px 0;
}

#cta .container .content-left {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    height: 100%;
}

#cta .content-right {
    background-color: var(--color-beige);
    width: 100%;
}

#cta .content-right h2 {
    text-align: center;
    margin-bottom: 40px;
    position: relative;
    padding: 20px 0;
}

#cta .content-right h2::after {
    content: '';
    background-color: var(--color-purple);
    width: 42%;
    height: 4px;
    border-radius: 100px;
    position: absolute;
    bottom: 0;
    left: calc(50% - 20%);
}



iframe {
    width: 100%;
    height: 100%;
}

/* /CTA */



/* FORMULARIO */

#formulario .container {
    display: flex;
    align-items: center;
    gap: 30px;
    padding: 40px 0;
}

#formulario .container form {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-evenly;
    background-color: var(--color-white);
    width: 100%;
    padding: 20px;
    border-radius: 0.3rem;
}

#formulario .container form input {
    border-radius: 0.3rem;
    border: 1px solid var(--color-purple);
    padding: 4% 20px;
}

.input-container {
    display: flex;
    flex-direction: column;
}

.select-container {
    display: flex;
    justify-content: space-between;
}

.form-error {
    font-size: 0.8rem;
    background-color: rgb(255, 150, 150);
    border-radius: 0.3rem;
    padding: 15px;
    width: 100%;
    color: var(--color-black) !important;
}

select {
    width: 100%;
    border-radius: 0.3rem;
    border: 1px solid var(--color-purple);
    background-color: var(--color-white);
    padding: 4% 20px;
}

/* /FORMULARIO */

/* BENEFÍCIOS */


#beneficios {
    padding: 40px 0;
}

#beneficios .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    gap: 30px;
}

.content-flex {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}

.content-flex .item {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    border: 1px solid var(--color-black);
    border-radius: 0.3rem;
    padding: 40px;
    gap: 20px;
    flex: 1;
}

.content-flex .item img {
    width: 48px;
    height: 48px;
}


/* /BENEFÍCIOS */

/* GALERIA */

#gallery {
    width: 100%;
    text-align: center;
}

#gallery h2 {
    margin: 40px 0;
}


/* /GALERIA */

/* FAQ */

#faq {
    padding: 40px 0;
}

#faq .container h2 {
    text-align: center;
}

#faq .container details {
    border: 1px solid var(--color-black);
    margin: 20px 0;
    padding: 30px;
    border-radius: 0.3rem;
}

#faq .container details summary {
    font-size: 1.6rem;
}

/* /FAQ */

/* CLIENTES */

#clientes {
    padding: 40px 0;
}

#clientes .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#clientes .container h2 {
    text-align: center;
}


#clientes .container .grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 30px;
    width: 100%;
}

#clientes .container .grid .logo {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

#clientes .container .grid .logo img {
    height: 80%;
}

/* /CLIENTES */

/* PROFESSORES */

#professores {
    padding: 40px 0;
}

#professores .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#professores .container h2 {
    text-align: center;
}

#professores .container .teacher-container {
    display: flex;
    align-items: start;

    gap: 30px;
}

#professores .container .teacher-container .teacher {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.circle {
    border: 1px solid var(--color-black);
    border-radius: 50%;
    width: 10rem;
    height: 10rem;
    transform: translateY(80px);
}

.square {
    border: 1px solid var(--color-black);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    border-radius: 0.3rem;
    padding: 110px 20px 0 20px;
    min-height: 450px;
}

#professores .container .default-button {
    margin-top: 60px;
}

/* /PROFESSORES */

/* FOOTER */

#footer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#footer .bg-purple {
    display: flex;
    justify-content: center;
    width: 100%;
}

#footer .bg-purple .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 30px;
}

#footer .bg-purple .container img {
    margin: 40px 0;
    width: 40%;
    border-radius: 0.3rem;
}

#footer .bg-white {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

#footer .bg-white p {
    margin: 0;
}

#footer-yw {
    display: block !important;
    margin: 0 auto;
    text-align: center;
    padding: 40px 20px;
}

#footer-yw h2 {
    color: white !important;
    font-weight: bold;
    margin: 40px 0;
}

#footer-yw p {
    color: white !important;
}

#footer-yw a {
    color: var(--color-purple) !important;
    background-color: var(--color-white);
}

#footer-yw a:hover {
    color: var(--color-white) !important;
    background-color: var(--color-dark-purple);
}

#form-dates-container {


}

#form-dates {
    display: flex;
    justify-content: space-between;
    gap: 5px;
    align-items: center;
}

#form-dates label{
    border-radius: 5px;
    flex: 1;
    border: 1px solid var(--color-purple);
    padding: 5px;
    text-align: center;
}

#form-dates label:hover{
    cursor: pointer;
}

input[type="radio"]:checked+label {
    background-color: var(--color-purple);
    color: #fff !important;
}


/* /FOOTER */


@media (max-width: 1380px) {

    #form-dates {
        display: flex;
        flex-wrap: wrap;
        margin-bottom: 10px;
    }

    #form-dates label {
        min-width: 50%;
    }

    .container {
        width: 85%;
    }

    #navigation .container {
        justify-content: center;
    }

    #navigation .container #container-logo {
        width: 300px;
        padding: 20px;
    }

    #nav {
        display: none;
    }

    #cta .container {
        flex-wrap: wrap;
        padding: 40px 0;
        text-align: center;
    }

    #cta .container .content-left {
        height: auto;
    }

    #cta .container .content-left a {
        margin: 0;
    }


    #cta .container .content-right {
        width: 100%;
    }

    #cta .container .content-right iframe {
        width: 100%;
    }

    #formulario {
        height: auto;
    }

    #formulario .container {
        flex-wrap: wrap-reverse;
        text-align: center;
        justify-content: center;

    }

    #formulario .container form {
        height: auto;
        width: auto;
        justify-content: center;
        align-items: center;
        padding: 20px;
    }

    #formulario .container form input,
    select,
    a {
        padding: 20px;
        margin: 10px;
        width: 100%;
    }

    .content-flex {
        width: 100%;
        display: flex;
        justify-content: space-between;
        gap: 30px;
        flex-wrap: wrap;
        justify-content: center;
    }

    .content-flex .item {
        width: 100%;
    }

    .content-flex .item img {
        width: 32px;
        height: 32px;
    }


    #clientes .container .grid {
        grid-template-columns: 1fr 1fr;
    }

    .teacher-container {
        flex-wrap: wrap;
    }


    #footer .bg-purple .container {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        text-align: center;
        gap: 30px;
    }

    #footer .bg-purple .container img {
        width: 100%;
    }

    #footer .bg-white {
        text-align: center;
    }

    #obrigado-cta {
        height: auto;
        padding: 40px 0;
    }

    #obrigado-cta a {
        display: inline;
        padding: 0;
        margin: 0;
    }

    .btn-container a {
        padding: 20px !important;
    }
}

/**/